<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="/signUp-customer.css">
</head>

<body>
<div class="overlay">

    <form method="post" th:action="@{/customer/add}" th:object="${customer}">
    <!--   con = Container  for items in the form-->
    <div class="con">
        <!--     Start  header Content  -->
        <header class="head-form">
            <h2>Sign Up</h2>


        </header>
        <!--     End  header Content  -->
        <br>

            <div class="field-set">

                <!--   user name -->
                <input class="form-input" id="txt-input" type="text" th:field = "*{customerName}" placeholder="Enter name" required>
                <br>
                <span class="input-item">
                   <i class="fa fa-user-circle"></i>
                 </span>
                <!--   user name Input-->
                <input class="form-input"  th:field = "*{email}" id="email-input" type="text" placeholder="@UserName" required>
                <br>
                <input class="form-input"  th:field = "*{phone}"id="phone-input" type="text" placeholder="Enter phone number" required>
                <br>
                <input class="form-input" th:field = "*{address}" id="address-input" type="text" placeholder="Enter address" required>
                <br>

                <!--   Password -->

                <span class="input-item">
                <i class="fa fa-key"></i>
               </span>`
                <!--   Password Input-->
                <input class="form-input"  th:field = "*{password}" type="password" placeholder="Password" id="pwd"  name="password" required>

                <!--      Show/hide password  -->
                <span>
                <i class="fa fa-eye" aria-hidden="true"  type="button" id="eye"></i>
             </span>


                <br>

                <button type="submit" class="log-in"> Sign up
                <!--         Sign Up font icon -->
                <i class="fa fa-user-plus" aria-hidden="true"></i>
                </button>
            </div>



    </div> <!--   End Conrainer  -->
            <!-- End Form -->
        </form>

</div>
<link rel="stylesheet" href=https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css>
<script>
    function show() {
    var p = document.getElementById('pwd');
    p.setAttribute('type', 'text');
}

function hide() {
    var p = document.getElementById('pwd');
    p.setAttribute('type', 'password');
}

var pwShown = 0;

document.getElementById("eye").addEventListener("click", function () {
    if (pwShown == 0) {
        pwShown = 1;
        show();
    } else {
        pwShown = 0;
        hide();
    }
}, false);
</script>

</body>
</html>